import { latex_types } from "./symbol_types";

var preamble = "Define in preamble!";

export default {
  "documentclass": { insertText: "documentclass", kind: latex_types.keyword },
  
  "usepackage": { insertText: "usepackage{$1}", documentation: "usepackage", kind: latex_types.keyword },
  "newenvironment": { insertText: "newenvironment{${1:name}}[$2]{$3}{$0}", documentation: "newenvironment", kind: latex_types.keyword },
  "newcommand": { insertText: "newcommand{${1:name}}[$2]{$3}", documentation: "newcommand", kind: latex_types.keyword },
  "renewcommand": { insertText: "renewcommand{${1:name}}[$2]{$3}", documentation: "renewcommand", kind: latex_types.keyword },

  "DeclareMathOperator": { insertText: "DeclareMathOperator{${1:operatorcommand}}{${2:operatorname}}$0", detail: preamble, documentation: "Defines a new math operator. Use the stared version for operators with limits.", kind: latex_types.keyword },
  "DeclareMathOperator*": { insertText: "DeclareMathOperator*{${1:operatorcommand}}{${2:operatorname}}$0", detail: preamble, documentation: "Defines a new math operator with limits.", kind: latex_types.keyword },
}
